#!/bin/bash
# Envoi de fax ('efax' doit être installé).

ARGUMENTS_ATTENDUS=2
E_MAUVAISARGS=65
PORT_MODEM="/dev/ttyS2" # Cela peut être différent sur votre machine.
#                ^^^^^    Le port par défaut de la carte modem PCMCIA.

if [ $# -ne $ARGUMENTS_ATTENDUS ]
# Vérifie le nombre des arguments sur la ligne de commande.
then
	echo "Usage: `basename $0` téléphone# fichier-texte"
   exit $E_MAUVAISARGS
fi


if [ ! -f "$2" ]
then
  echo "Le fichier $2 n'est pas un fichier texte"
  # Ce fichier n'est pas un fichier standard ou il n'existe pas.
  exit $E_MAUVAISARGS
fi
  

fax make $2              #  À partir de fichiers texte, crée des
			 #+ fichiers formatés pour le fax

for fichier in $(ls $2.0*)  # Concatène les fichiers convertis.
                         # Utilise le caractère joker dans la liste des variables.
do
  fic="$fic $fichier"
done  

efax -d "$MODEM_PORT" -t "T$1" $fic   # Fait le boulot.
# Essayez d'ajouter -o1 si la ligne ci-dessus échoue.


# Comme S.C. l'a indiqué, la boucle for peut être supprimée avec
#    efax -d /dev/ttyS2 -o1 -t "T$1" $2.0*
# mais ce n'est pas aussi pédagogique [sourire].

exit $?  #  efax envoie aussi des messages de diagnostic sur la
	 #+ sortie standard.
